Summary:	X.org input driver for Wacom tablets
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla tabletów Wacom
Name:		xorg-driver-input-wacom
Version:	0.37.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
#Source0Download: https://github.com/linuxwacom/xf86-input-wacom/releases
Source0:	https://github.com/linuxwacom/xf86-input-wacom/releases/download/xf86-input-wacom-%{version}/xf86-input-wacom-%{version}.tar.bz2
# Source0-md5:	c6e9409e2fa3ae3f01eaf913a6ca9c9f
URL:		https://linuxwacom.github.io/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	doxygen >= 1.6.1
BuildRequires:	pkgconfig
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.7.0
Requires:	xorg-xserver-server >= 1.7.0
%requires_xorg_xserver_xinput
Obsoletes:	linuxwacom < 0.12.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Wacom tablets.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla tabletów Wacom.

%package devel
Summary:	Header file for wacom driver
Summary(pl.UTF-8):	Plik nagłówkowy sterownika wacom
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
Header file for wacom driver.

%description devel -l pl.UTF-8
Plik nagłówkowy sterownika wacom.

%prep
%setup -q -n xf86-input-wacom-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-debug \
	--with-udev-rules-dir=/lib/udev/rules.d

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/input/wacom_drv.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/isdv4-serial-inputattach
%attr(755,root,root) %{_bindir}/xsetwacom
%attr(755,root,root) %{_libdir}/xorg/modules/input/wacom_drv.so
%{_datadir}/X11/xorg.conf.d/70-wacom.conf
/lib/udev/rules.d/wacom.rules
%{_mandir}/man1/xsetwacom.1*
%{_mandir}/man4/wacom.4*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/isdv4-serial-debugger
%{_includedir}/xorg/Xwacom.h
%{_includedir}/xorg/wacom-properties.h
%{_includedir}/xorg/wacom-util.h
%{_includedir}/xorg/isdv4.h
%{_pkgconfigdir}/xorg-wacom.pc
%changelog
* Mon Apr 06 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-input-wacom.git;a=log;h=master

* Mon Apr 06 2020 Marcin Krol <hawk@tld-linux.org> cdb5a82
- merged 0.37.0 from PLD

* Wed Jul 04 2018 Marcin Krol <hawk@tld-linux.org> 7c99257
- merged 0.36.0 from PLD

* Fri Aug 07 2015 Marcin Krol <hawk@tld-linux.org> cd1adc9
- drop systemd leftovers

* Fri Aug 07 2015 Marcin Krol <hawk@tld-linux.org> 14809aa
- from PLD

